maximum.hpp File Reference

Forward declares `boost::hana::maximum`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::maximum
| Return the greatest element of a non-empty structure with respect to a `predicate`, by default `less`.Given a non-empty structure and an optional binary predicate (`less` by default), `maximum` returns the greatest element of the structure, i.e. an element which is greater than or equal to every other element in the structure, according to the predicate. More...

## Detailed Description

Forward declares `boost::hana::maximum`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)